Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Pdu::Settings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Pdu::Settings Struct Reference

PDU settings. More...

`import <Pdu.idl;`

## Public Attributes
string | name
| User-defined name.
StartupState | startupState
| Default outlet state after applying power to outlets; can be overriden per outlet.
int | cycleDelay
| Default power-cycle interval in seconds; can be overriden per outlet.
int | inRushGuardDelay
| Minimum delay in milliseconds between switching two outlets on.
vector< int > | outletPowerStateSequence
| The order in which multiple outlets should be switched.
int | powerOnDelay
| Delay in seconds before restoring outlet states after power is applied to outlets.
boolean | latchingRelays
| If true, relays keep their state during power-cycling.
boolean | energyPulseEnabled
| Enables energy consumption counting using the PDU's LED(s)
int | energyPulsesPerKWh
| Ratio between LED pulses and energy consumption.
int | demandUpdateInterval
| BCM2 only: Update interval in seconds for demand sensors.
int | demandAveragingIntervals
| BCM2 only: Average demand sensors over this many update intervals.
boolean | suspendTripCauseOutlets
| If true, outlets suspected to have caused an OCP to trip are automatically suspended (turned off)
boolean | inhibitRelayControl
| If true, all relay control methods are disabled.

## Detailed Description

PDU settings.

Definition at line 83 of file Pdu.idl.

## Member Data Documentation

## ◆ cycleDelay

int pdumodel::Pdu::Settings::cycleDelay

Default power-cycle interval in seconds; can be overriden per outlet.

Definition at line 86 of file Pdu.idl.

## ◆ demandAveragingIntervals

int pdumodel::Pdu::Settings::demandAveragingIntervals

BCM2 only: Average demand sensors over this many update intervals.

Definition at line 100 of file Pdu.idl.

## ◆ demandUpdateInterval

int pdumodel::Pdu::Settings::demandUpdateInterval

BCM2 only: Update interval in seconds for demand sensors.

Definition at line 99 of file Pdu.idl.

## ◆ energyPulseEnabled

boolean pdumodel::Pdu::Settings::energyPulseEnabled

Enables energy consumption counting using the PDU's LED(s)

Definition at line 97 of file Pdu.idl.

## ◆ energyPulsesPerKWh

int pdumodel::Pdu::Settings::energyPulsesPerKWh

Ratio between LED pulses and energy consumption.

Definition at line 98 of file Pdu.idl.

## ◆ inhibitRelayControl

boolean pdumodel::Pdu::Settings::inhibitRelayControl

If true, all relay control methods are disabled.

Definition at line 103 of file Pdu.idl.

## ◆ inRushGuardDelay

int pdumodel::Pdu::Settings::inRushGuardDelay

Minimum delay in milliseconds between switching two outlets on.

Definition at line 87 of file Pdu.idl.

## ◆ latchingRelays

boolean pdumodel::Pdu::Settings::latchingRelays

If true, relays keep their state during power-cycling.

Definition at line 96 of file Pdu.idl.

## ◆ name

string pdumodel::Pdu::Settings::name

User-defined name.

Definition at line 84 of file Pdu.idl.

## ◆ outletPowerStateSequence

vector<int> pdumodel::Pdu::Settings::outletPowerStateSequence

The order in which multiple outlets should be switched.

Format: List of outlet numbers (0-based), empty for default.
Affects the following functions:

- `setAllOutletPowerStates`
- `cycleAllOutletPowerStates`
- `setMultipleOutletPowerStates`
- `cycleMultipleOutletPowerStates`

Definition at line 88 of file Pdu.idl.

## ◆ powerOnDelay

int pdumodel::Pdu::Settings::powerOnDelay

Delay in seconds before restoring outlet states after power is applied to outlets.

Definition at line 95 of file Pdu.idl.

## ◆ startupState

StartupState pdumodel::Pdu::Settings::startupState

Default outlet state after applying power to outlets; can be overriden per outlet.

Definition at line 85 of file Pdu.idl.

## ◆ suspendTripCauseOutlets

boolean pdumodel::Pdu::Settings::suspendTripCauseOutlets

If true, outlets suspected to have caused an OCP to trip are automatically suspended (turned off)

Definition at line 101 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl